summaryrefslogtreecommitdiff
path: root/bitweaver_build.sh
diff options
context:
space:
mode:
authorMax Kremmel <xing@synapse.plus.com>2005-12-18 22:29:37 +0000
committerMax Kremmel <xing@synapse.plus.com>2005-12-18 22:29:37 +0000
commita2bee8605f329664b9d6f6ff41b65194d0c6b860 (patch)
tree00e3107e4d471eab5c57a6c163fc4eb1c37e34a4 /bitweaver_build.sh
parentb863d6c88dda6e322315309d64a0e9ac4c5700fa (diff)
downloadinstall-a2bee8605f329664b9d6f6ff41b65194d0c6b860.tar.gz
install-a2bee8605f329664b9d6f6ff41b65194d0c6b860.tar.bz2
install-a2bee8605f329664b9d6f6ff41b65194d0c6b860.zip
merge recent changes into HEAD
Diffstat (limited to 'bitweaver_build.sh')
-rwxr-xr-xbitweaver_build.sh42
1 files changed, 27 insertions, 15 deletions
diff --git a/bitweaver_build.sh b/bitweaver_build.sh
index 7e8d7a6..9cfb470 100755
--- a/bitweaver_build.sh
+++ b/bitweaver_build.sh
@@ -4,7 +4,11 @@
# exit 1
export CVS_RSH=ssh
-if [ -z $1 ] ; then
+if [ $1 = '--help' ] ; then
+ echo "Usage: $0 [module [BRANCHNAME [sfuser [builddir]]]]"
+ echo "(Note: If sfuser is not supplied, 'bitweaver@cvs.sf.net' will be assumed )"
+ exit 1
+elif [ -z $1 ] ; then
MODULE="bitweaver"
else
MODULE=$1
@@ -17,15 +21,15 @@ else
fi
if [ -z $3 ] ; then
- SFUSER=bitweaver
+ SFUSER=bitweaver
else
- SFUSER=$3
+ SFUSER=$3
fi
if [ -z $4 ] ; then
- BUILDDIR=bitweaver
+ BUILDDIR=$1
else
- BUILDDIR=$4
+ BUILDDIR=$4
fi
@@ -36,17 +40,25 @@ mkdir -p "/tmp/$fname/"
cd "/tmp/$fname/"
cvs -qz5 -d :ext:$SFUSER@cvs.sf.net:/cvsroot/bitweaver/ export -d $BUILDDIR $BRANCH $MODULE
cd "/tmp/$fname/"
-mv "$BUILDDIR/favicon.ico.sample" "$BUILDDIR/favicon.ico"
-if [ -d "$BUILDDIR/phpbb" ] ; then
- touch "$BUILDDIR/phpbb/config.php"
-fi
-if [ -d "$BUILDDIR/kernel" ] ; then
- touch "$BUILDDIR/kernel/config_inc.php"
-fi
-if [ -d "$BUILDDIR/themes" ] ; then
- mkdir "$BUILDDIR/themes/force"
-fi
+if [ $MODULE = 'bitweaver' ] ; then
+ mv "$BUILDDIR/favicon.ico.sample" "$BUILDDIR/favicon.ico"
+ if [ -d "$BUILDDIR/phpbb" ] ; then
+ touch "$BUILDDIR/phpbb/config.php"
+ fi
+ if [ -d "$BUILDDIR/kernel" ] ; then
+ touch "$BUILDDIR/kernel/config_inc.php"
+ fi
+ if [ -d "$BUILDDIR/themes" ] ; then
+ mkdir "$BUILDDIR/themes/force"
+ fi
+ if [ -d "$BUILDDIR/languages" ] ; then
+ # export latest language files
+ php -d display_errors=Off ~/bin/export_all_languages.php
+ cp -ru ~/live/temp/lang/export/* "$BUILDDIR/languages/lang/"
+ rm -rf ~/live/temp/lang/export/
+ fi
+fi
tar -czf $fname.tar.gz $BUILDDIR
mv $fname.tar.gz $HOME/$fname.tar.gz